# saga::sd::attributes Namespace Reference

## Variables
char const *const | service_description_url = "Url"
char const *const | service_description_type = "Type"
char const *const | service_description_uid = "Uid"
char const *const | service_description_site = "Site"
char const *const | service_description_name = "Name"
char const *const | service_description_relatedservices = "RelatedServices"
char const *const | service_description_vo = "VO"
char const *const | service_description_implementation_version
char const *const | service_description_interface_version
char const *const | service_description_capability = "Capabilities"
char const *const | service_description_information_provider_url
char const *const | service_description_implementor = "Implementor"

## Variable Documentation

char const* const saga::sd::attributes::service_description_url = "Url"

Referenced by saga::sd::service_description::get_url(), and saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_type = "Type"

Referenced by saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_uid = "Uid"

Referenced by saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_site = "Site"

Referenced by saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_name = "Name"

Referenced by saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_relatedservices = "RelatedServices"

Referenced by saga::sd::service_description::get_related_services(), and saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_vo = "VO"

Referenced by saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_implementation_version

Initial value:

           "ImplementationVersion"

Referenced by saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_interface_version

Initial value:

           "InterfaceVersion"

Referenced by saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_capability = "Capabilities"

Referenced by saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_information_provider_url

Initial value:

           "InformationServiceUrl"

Referenced by saga::sd::service_description::get_related_services(), and saga::sd::service_description::service_description().

char const* const saga::sd::attributes::service_description_implementor = "Implementor"

Referenced by saga::sd::service_description::service_description().